This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 791034 (CVE-2012-0752, CVE-2012-0753, CVE-2012-0754, CVE-2012-0755, CVE-2012-0756)

Summary: CVE-2012-0752 CVE-2012-0753 CVE-2012-0754 CVE-2012-0755 CVE-2012-0756 flash-plugin: multiple code execution flaws (APSB12-03)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: ed.costello, emhuang, jlieskov, mmelanso, mtilburg, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20120215,reported=20120215,source=internet,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/flash-plugin=affected,rhel-6/flash-plugin=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-17 07:39:57 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 791036, 791037, 791038, 791039, 795924    
Bug Blocks: 791046    

Description Vincent Danen 2012-02-15 19:28:43 EST
Adobe security bulletin APSB12-03 describes multiple security flaws that can
lead to arbitrary code execution when a malicious SWF file is opened in Adobe
Flash Player.

This update resolves a type confusion memory corruption vulnerability that could lead to code execution (CVE-2012-0752).

This update resolves an MP4 parsing memory corruption vulnerability that could lead to code execution (CVE-2012-0753).

This update resolves a memory corruption vulnerability that could lead to code execution (CVE-2012-0754).

This update resolves a security bypass vulnerability that could lead to code execution (CVE-2012-0755).

This update resolves a security bypass vulnerability that could lead to code execution (CVE-2012-0756).
Comment 1 Vincent Danen 2012-02-15 19:33:15 EST
External References:

http://www.adobe.com/support/security/bulletins/apsb12-03.html
Comment 3 errata-xmlrpc 2012-02-17 05:59:39 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:0144 https://rhn.redhat.com/errata/RHSA-2012-0144.html
Comment 5 Jan Lieskovsky 2012-06-08 04:27:00 EDT
Zero Day Initiative advisory for CVE-2012-0754:
http://www.zerodayinitiative.com/advisories/ZDI-12-080/